Best practices

Kube-Proxy configuration file permissions are too permissive

Risk Level

Informational (4)

Platform(s)
  • N/A

Compliance Frameworks

Description

It was found that the Kube-Proxy configuration file's permissions are too broad. Setting the file's permissions to be permissive might allow low privileged user to modify the configuration file.
  • Recommended Mitigation

    It is recommended to change the file's permissions to 644 or lower using the chmod command.